=== debian/changelog ===
ros-melodic-velodyne-pointcloud (1.5.2-0stretch) stretch; urgency=high

  * Merge pull request #205 <https://github.com/ros-drivers/velodyne/issues/205> from xiesc/master
    support for 64E-S3
  * add an example yaml file for S3
  * Contributors: Joshua Whitley, Shichao XIE, xiesc

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 28 Jan 2019 06:00:00 -0000

ros-melodic-velodyne-pointcloud (1.5.1-0stretch) stretch; urgency=high

  * Merge pull request #194 <https://github.com/ros-drivers/velodyne/issues/194> from ros-drivers/avoid_unnecessary_computation
    Avoid unnecessary computation - causes approximately 20% performance increase on VLP-32C - should be similar for other sensors
  * std::vector<>::reserve is your friend
  * add static to avoid frequence memory allocation
  * avoid unecesary calculations in unpack()
  * Contributors: Davide Faconti, Joshua Whitley

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 10 Dec 2018 06:00:00 -0000

ros-melodic-velodyne-pointcloud (1.5.0-0stretch) stretch; urgency=high

  * Merge pull request #164 <https://github.com/ros-drivers/velodyne/issues/164> from ros-drivers/maint/vlp_32c_support
    Adding VLP-32C support.
    This was tested by AutonomouStuff and several external users. Though it does not include new information that I've learned (it appears that the distance resolution is different <50m vs >=50m), it is a good start.
  * Merge pull request #189 <https://github.com/ros-drivers/velodyne/issues/189> from kveretennicov/patch-1
  * Fix malformed plugin description XML
    ROS pluginlib only recognizes multiple <library> elements if they are under
    <class_libraries> XML root. It silently ignores malformed XMLs with multiple
    <library> "root"s and just reads the first one, due to relaxed way tinyxml2 does
    parsing. Though if you do rosrun nodelet declared_nodelets, the issue is
    reported properly.
    See also similar issue in https://github.com/ros-perception/perception_pcl/issues/131
  * Adding distance_resolution to test yaml files.
  * Adding VLP-32C support.
    Based on work done by @rockcdr. Adds distance_resolution calibration
    value to support 0.004m distance resolution for VLP-32C.
  * Contributors: Joshua Whitley, Konstantin Veretennicov

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 19 Oct 2018 05:00:00 -0000

ros-melodic-velodyne-pointcloud (1.4.0-0stretch) stretch; urgency=high

  * Merge pull request #178 <https://github.com/ros-drivers/velodyne/issues/178> from sts-thm/bugfix_issue_`#174 <https://github.com/ros-drivers/velodyne/issues/174>`_
    Bugfix issue #174 <https://github.com/ros-drivers/velodyne/issues/174>
  * Merge pull request #177 <https://github.com/ros-drivers/velodyne/issues/177> from C-NR/feature/WrapPointcloudData
    Feature/wrap pointcloud data
  * Changes fixing deadlock for specific cut_angle values.
  * moved definition of VPoint and VPointCloud back to namespace rawdata in rawdata.h
  * put a wrapper around pointcloud data including a generic setter method to enable the use of arbitrary data structures  (pcl pointcloud, depth image, octomaps and so on) to be filled by just using RawData::unpack method with the wrapper object as parameter
  * Merge pull request #170 <https://github.com/ros-drivers/velodyne/issues/170> from ros-drivers/maint/move_header_files
    Moving header files to traditional location inside include folders.
  * Merge pull request #160 <https://github.com/ros-drivers/velodyne/issues/160> from ros-drivers/maint/updating_package_xml_to_v2
  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.
  * Merge pull request #136 <https://github.com/ros-drivers/velodyne/issues/136> from stsundermann/patch-1
    Use std::abs instead of abs
  * Adding missing 32C configuration file.
  * Merge pull request #139 <https://github.com/ros-drivers/velodyne/issues/139> from ASDeveloper00/vlp32
    Adding support for VLP-32C.
  * Merge pull request #138 <https://github.com/ros-drivers/velodyne/issues/138> from volkandre/cut_at_specified_angle_feature
    Cut at specified angle feature
  * Updated default cut_angle parameters in launch files after switching from deg to rad.
  * Use std::abs instead of abs
    abs is the c version which returns an integer. This is probably not intended here, so use the templated std::abs function.
  * Contributors: Andre Volk, Autonomoustuff Developer, CNR, Joshua Whitley, Kyle Rector, Stephan Sundermann, Tobias Athmer, kennouni

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Wed, 19 Sep 2018 05:00:00 -0000

ros-melodic-velodyne-pointcloud (1.3.0-0stretch) stretch; urgency=high

  * Merge pull request #110 <https://github.com/ros-drivers/velodyne/issues/110> from kmhallen/master
    Added velodyne_laserscan package
  * Merge remote-tracking branch ros-drivers/master
  * Merge pull request #129 <https://github.com/ros-drivers/velodyne/issues/129> from kmhallen/pluginlib_macro
    Modern pluginlib macro
  * Update to use non deprecated pluginlib macro
  * Merge pull request #127 <https://github.com/ros-drivers/velodyne/issues/127> from swri-robotics/add_vlp16_hires_support
    Add VLP16 Puck Hi-Res config file
  * Add VLP16 Puck Hi-Res support
  * velodyne_pointcloud: remove incorrect catkin_package() DEPENDS option (#93 <https://github.com/ros-drivers/velodyne/issues/93>)
    This eliminates a CMake warning when building on Xenial.
  * Merge pull request #111 <https://github.com/ros-drivers/velodyne/issues/111> from OrebroUniversity/master
    Added an interface to set up raw data processing offline
  * Added an interface to set up raw data processing from a locally defined calibration file. This method is useful when processing data offline from a bag file, without starting any ros master

