=== debian/control ===
Source: ros-melodic-velodyne-pointcloud
Section: misc
Priority: extra
Maintainer: Josh Whitley <jwhitley@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-angles, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-nodelet, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf2-ros, ros-melodic-velodyne-driver, ros-melodic-velodyne-msgs
Homepage: http://ros.org/wiki/velodyne_pointcloud
Standards-Version: 3.9.2

Package: ros-melodic-velodyne-pointcloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-angles, ros-melodic-dynamic-reconfigure, ros-melodic-nodelet, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-velodyne-driver, ros-melodic-velodyne-laserscan, ros-melodic-velodyne-msgs
Description: Point cloud conversions for Velodyne 3D LIDARs.
